Subject: Re: [PATCH 2/2] On Cygwin support both UNIX and DOS style path-names

From: Ramsay Jones <[email-masked]>
Date: Thu, 11 Aug 2011 21:35:39 +0100

Pascal Obry wrote:
> Le 09/08/2011 19:24, Ramsay Jones a écrit :
>> Pascal Obry wrote:
>>> In fact Cygwin supports both, so make Git agree with this.
>>> The failing case is when a file is committed in a sub-dir of the
>>> repository using a log message from a file specified with a DOS
>>> style path-name. To reproduce:
>>>
>>>     $ cd src
>>>     $ git commit -F c:\tmp\log.txt file.c
>>>     fatal: could not read log file 'src/c:\tmp\log.txt': No such file \
>>>     or directory.
>> Hmm, are you using bash or cmd.exe? Using bash I get the following:
> 
> bash.

Ah, OK. The example in your commit message looked odd (ie incorrect) which
made me think that you were probably using cnd.exe, so ...

>>      $ cd src
>>      $ git commut -F c:\tmp\log.txt file.c
>>      fatal: could not read file 'src/c:tmplog.txt': No such file or directory
>>      $
>>
>> Which is what I would expect of (any) posix shell, viz:
>>
>>      $ ls c:\
>>      >  ^C
>>      $ ls c:\\
>>      AUTOEXEC.BAT*            NTDETECT.COM*               WATCOM/       msysgit/
>>      CMPNENTS/                Program Files/              WINDOWS/      msysgit-old/
>>      CONFIG.SYS*              RECYCLER/                   boot.ini*     ntldr*
>>      Documents and Settings/  SUPPORT/                    cygwin/       pagefile.sys
>>      I386/                    SWSTAMP.TXT*                cygwintemp/   ssl/
>>      IO.SYS*                  System Volume Information/  dm/           uname/
>>      MSDOS.SYS*               TOOLSCD/                    dm840/        zlib/
>>      MSOCache/                VALUEADD/                   hiberfil.sys
> 
> Exactly, \\ this is what I have used and this is the bug. Cygwin 
> supports ls c:\\ so should Cygwin/Git. My quoted example was missing the 
> escape \.

 ... could you please correct your commit message. Thanks!

ATB,
Ramsay Jones